Bug 830328

Summary: Review Request: gnome-initial-setup - configure your desktop
Product: [Fedora] Fedora Reporter: Jasper St. Pierre <jstpierr>
Component: Package ReviewAssignee: Debarshi Ray <debarshir>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: debarshir, kalevlember, mclasen, mfabian, notting, package-review, panemade, sanjay.ankur, tagoh
Target Milestone: ---Flags: debarshir: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-11 00:06:15 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jasper St. Pierre 2012-06-08 17:02:49 EDT
Spec URL: http://magcius.mecheye.net/gnome/gnome-initial-setup.spec
SRPM URL: http://magcius.mecheye.net/gnome/gnome-initial-setup-0.1-1.fc17.src.rpm
Description: firstboot, but in GNOME, and integrated and stuff, man
Fedora Account System Username: magcius
Comment 1 Parag AN(पराग) 2012-06-12 05:25:05 EDT
If this is the replacement of firstboot then this package should obsolete/provide  firstboot right?
Comment 2 Jasper St. Pierre 2012-06-12 09:20:50 EDT
Not quite. There are external firstboot plugins that have to work without modification, so we're looking into firstboot integration with something like XEmbed
Comment 3 Matthias Clasen 2012-06-12 11:35:15 EDT
We are not replacing firstboot entirely here, at least not in F18, so an obsoletes is not appropriate.
Comment 4 Parag AN(पराग) 2012-06-12 11:52:23 EDT
Thanks for the reply.
Comment 5 Jasper St. Pierre 2012-08-29 22:47:45 EDT
I've updated the specfile to update to the 0.2 release.
Comment 6 Debarshi Ray 2012-09-05 10:27:48 EDT
[rishi@kolache SPECS]$ rpmlint gnome-initial-setup.spec 
gnome-initial-setup.spec:52: W: macro-in-comment %{buildroot}
gnome-initial-setup.spec:52: W: macro-in-comment %{_sysconfdir}
0 packages and 1 specfiles checked; 0 errors, 2 warnings.

[rishi@kolache SPECS]$ rpmlint ../SRPMS/gnome-initial-setup-0.2-1.fc18.src.rpm 
gnome-initial-setup.src: W: spelling-error %description -l en_US firstboot -> first boot, first-boot, firstborn
gnome-initial-setup.src:52: W: macro-in-comment %{buildroot}
gnome-initial-setup.src:52: W: macro-in-comment %{_sysconfdir}
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

The pedantic way is to use an extra % with the RPM macros. eg., %{buildroot} and %{_sysconfdir}.

The spelling mistake is a false alarm.


[rishi@kolache SPECS]$ rpmlint /home/rishi/devel/rpmbuild/RPMS/x86_64/gnome-initial-setup-0.2-1.fc18.x86_64.rpm 
gnome-initial-setup.x86_64: W: spelling-error %description -l en_US firstboot -> first boot, first-boot, firstborn

Ditto.


gnome-initial-setup.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/welcome-tour.desktop
gnome-initial-setup.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/gnome-initial-setup-copy-worker.desktop

Can be ignored, I think.


gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/ar/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/as/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/de/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/el/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/es/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/fr/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/gl/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/he/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/hi/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/id/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/lt/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/lv/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/nb/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/pa/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/pl/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/ru/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/sl/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/sr/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/sr@latin/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/tr/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/uk/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/vi/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/zh_CN/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/zh_HK/LC_MESSAGES/gnome-initial-setup.mo
gnome-initial-setup.x86_64: W: file-not-in-%lang /usr/share/locale/zh_TW/LC_MESSAGES/gnome-initial-setup.mo
1 packages and 0 specfiles checked; 0 errors, 28 warnings.

Use %find_lang.
See: https://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files


[rishi@kolache SPECS]$ rpmlint /home/rishi/devel/rpmbuild/RPMS/x86_64/gnome-initial-setup-debuginfo-0.2-1.fc18.x86_64.rpm
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/gis-assistant-clutter.c
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/pages/language/cc-common-language.c
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/gis-assistant-private.h
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/pages/account/um-utils.h
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/pages/account/um-photo-dialog.c
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/gis-assistant.c
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/pages/language/cc-common-language.h
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/pages/location/cc-timezone-map.h
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/pages/account/um-utils.c
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/pages/location/cc-timezone-map.c
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/pages/language/gdm-languages.h
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/pages/language/gdm-languages.c
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/pages/account/pw-utils.h
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/pages/account/um-photo-dialog.h
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/pages/location/tz.c
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/gis-assistant-gtk.c
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/pages/location/tz.h
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/pages/language/locarchive.h
gnome-initial-setup-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-initial-setup-0.2/gnome-initial-setup/pages/account/pw-utils-pwquality.c
1 packages and 0 specfiles checked; 19 errors, 0 warnings.

These have now been fixed upstream.
Comment 7 Debarshi Ray 2012-09-05 11:42:01 EDT
- package meets naming guidelines

- package meets packaging guidelines
  use %global instead of %define

- license
  GPLv2+ but in some cases the copyright headers are GPLv3+, but this has been fixed upstream
  COPYING should be in %doc

- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)

- missing BR: desktop-file-utils, intltool, pkgconfig(iso-codes)

- no unnecessary BR

- locales, but does not use %find_lang

- not relocatable

- does not own all directories,
  %{_datadir}/gnome-initial-setup
  %{_datadir}/gnome-session/sessions
  %{_datadir}/polkit-1/actions

- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop files validate
Comment 8 Debarshi Ray 2012-09-05 11:43:30 EDT
Here is a Spec with most of the fixes:
http://rishi.fedorapeople.org/gnome-initial-setup.spec

It just needs to be decided if gnome-initial-setup has a runtime dependency on gnome-session and polkit. If it does, they need to be in Requires, else it should own %{_datadir}/polkit-1/actions and %{_datadir}/gnome-session/sessions
Comment 9 Jens Petersen 2012-09-06 02:12:58 EDT
(In reply to comment #5)
> I've updated the specfile to update to the 0.2 release.

Could you please also provide an updated srpm?
Comment 10 Matthias Clasen 2012-09-07 11:21:55 EDT
(In reply to comment #8)
> 
> It just needs to be decided if gnome-initial-setup has a runtime dependency
> on gnome-session and polkit.

A runtime dep on gdm would probably be more to the point, and should bring gnome-session and polkit along.
Comment 11 Matthias Clasen 2012-09-14 13:50:51 EDT
New spec file / srpm (with Requires:gdm) here:

http://mclasen.fedorapeople.org/gnome-initial-setup.spec
http://mclasen.fedorapeople.org/gnome-initial-setup-0.2-2.fc18.src.rpm
Comment 12 Debarshi Ray 2012-09-15 04:02:20 EDT
+----------+
| APPROVED |
+----------+
Comment 13 Jasper St. Pierre 2012-09-15 04:55:55 EDT
New Package SCM Request
=======================
Package Name: gnome-initial-setup
Short Description: configure your desktop
Owners: magcius mclasen halfline
Branches:
InitialCC:
Comment 14 Jon Ciesla 2012-09-15 10:50:19 EDT
Git done (by process-git-requests).

halfline is not a valid FAS account and can be added later.
Comment 15 Akira TAGOH 2012-09-26 21:53:30 EDT
Are we not planning to ship this package for f18? f18 has already been branched. so it won't be there if you aren't requesting. just wondering.
Comment 16 Jasper St. Pierre 2012-09-26 22:18:43 EDT
We are not shipping gnome-initial-setup in F18.
Comment 17 Parag AN(पराग) 2012-09-26 23:16:10 EDT
no plans even to build this in f19 also? as SCM is already done, at least this package can be built for f19.
Comment 18 Jasper St. Pierre 2012-09-26 23:25:10 EDT
It is going to be shipped in f19, which is the master branch. I didn't think I had to explicitly specify that.
Comment 19 Parag AN(पराग) 2012-09-26 23:27:31 EDT
I already checkout master branch and can see spec file. What I was asking is this

$ koji latest-pkg f19 gnome-initial-setup
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------

No builds on koji. Is this intentional?
Comment 20 Jasper St. Pierre 2012-09-26 23:48:23 EDT
That's because I haven't built it yet. I'll make builds available tomorrow.
Comment 21 Debarshi Ray 2012-10-08 09:43:55 EDT
Can we close this now?
Comment 22 Parag AN(पराग) 2012-10-08 10:52:12 EDT
hmm still not built on koji. also, status of this review must be assigned.
Comment 23 Parag AN(पराग) 2012-12-11 00:06:15 EST
This can be closed as I see package is now available in f19.